Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.functions
Class MethodFunction

    java.lang.Object
      |
      +--org.apache.commons.jxpath.functions.MethodFunction

All Implemented Interfaces:
  Function

public class MethodFunction
extends java.lang.Object
implements Function

An XPath extension function implemented as an individual Java method.

Version:
  $Revision: 1.9 $ $Date: 2003/03/11 00:59:17 $
Author:
  Dmitri Plotnikov

Constructor Summary
`MethodFunction(java.lang.reflect.Method method)`

Method Summary
`java.lang.Object` | `invoke(ExpressionContext context, java.lang.Object[] parameters)` Computes the value of the function.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodFunction

    public MethodFunction(java.lang.reflect.Method method)

Method Detail

### invoke

    public java.lang.Object invoke(ExpressionContext context,
                                   java.lang.Object[] parameters)

  Description copied from interface: `Function`
  Computes the value of the function. Each implementation of Function is responsible for conversion of supplied parameters to the required argument types.
  Specified by:
    `invoke` in interface `Function`
  Following copied from interface: `org.apache.commons.jxpath.Function`
  Parameters:
    `context` - can be used to acquire the context in which the function is being evaluted.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.